<div>
    <h2 id="page-heading">
        <span>Action Instances</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-action-instance" [routerLink]="['/action-instance/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Action Instance
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="actionInstances?.length === 0">
        <span>No actionInstances found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="actionInstances && actionInstances.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Next</span></th>
                    <th scope="col" ><span>Type</span></th>
                    <th scope="col" ><span>Case Step Instance</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let actionInstance of actionInstances ;trackBy: trackId">
                    <td><a [routerLink]="['/action-instance', actionInstance.id, 'view']">{{ actionInstance.id }}</a></td>
                    <td>{{ actionInstance.name }}</td>
                    <td>{{ actionInstance.next }}</td>
                    <td>{{ actionInstance.type }}</td>
                    <td>
                        <div *ngIf="actionInstance.caseStepInstance">
                            <a [routerLink]="['/case-step-instance', actionInstance.caseStepInstance?.id, 'view']" >{{ actionInstance.caseStepInstance?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/action-instance', actionInstance.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/action-instance', actionInstance.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(actionInstance)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
